
public final class HijaFinal extends FinalStatic { 
	// Al ser final no puede heredar
	public HijaFinal (int x)
	{
		super(x);
	}
	
	public void cuadrado()
	{
		int x = a*a;
		System.out.println("El cuadrado es: "+x);
	}
	
	// Un método final no puede sobreescribirse
/*	public void digitos()
	{
		// Cualquier cosa 
	} */
}
